#ifndef DEVICELIST_H
#define DEVICELIST_H

// **************************************
// Header Files
// **************************************

#include "global.h"
#include "device.h"

// **************************
// Class Definition
// **************************

class DeviceList
{
public:
  DeviceList(void);   // constructor
  ~DeviceList(void);   // destructor
  DeviceList(const DeviceList &dis); // copy constructor

  DeviceList& operator=(const DeviceList &dis); // copy constructor

  void Remove(const int index);  // remove Device
  void Add(const Device& dis);           // add Device

  Device& operator[](const int index);     // get Device entry
  const Device& operator[](const int index) const;       // get Device entry
  const int GetSize(void) const;                 // return size

  void Clear(void);          // clear everything

private:
  Device *dList;       // Device list
  int size;   // size
};

#endif // DEVICELIST_H
