#ifndef DISPLAYLIST_H
#define DISPLAYLIST_H

// **************************************
// Header Files
// **************************************

#include "global.h"
#include "display.h"

// **************************
// Class Definition
// **************************

class DisplayList
{
public:
  DisplayList(void);   // constructor
  ~DisplayList(void);   // destructor
  DisplayList(const DisplayList &dis); // copy constructor

  DisplayList& operator=(const DisplayList &dis); // copy constructor

  void Remove(const int index);  // remove Display
  void Add(const Display& dis);           // add Display

  Display& operator[](const int index);     // get device entry
  const Display& operator[](const int index) const;       // get Display entry
  const int GetSize(void) const;                 // return size

  void Clear(void);          // clear everything

private:
  Display *dList;       // Display list
  int size;   // size
};

#endif // DISPLAYLIST_H
