
// **************************************
// Header Files
// **************************************

#include "drimode.h"

// **************************
// Class Declaration
// **************************

DriMode::DriMode(void)
{  // constructor
}

DriMode::~DriMode(void)
{  // destructor
}

DriMode::DriMode(const DriMode &dev)
{  // copy constructor

  modeEntry=dev.GetMode();
  modeComment=dev.GetModeComment();
  comment=dev.GetComment();
}

DriMode& DriMode::operator=(const DriMode &dev)
{  // copy constructor

  Clear();

  modeEntry=dev.GetMode();
  modeComment=dev.GetModeComment();
  comment=dev.GetComment();

  return(*this);
}

void DriMode::AddComment(const wxString& com)
{  // set comment

  comment.Add(com);
}

void DriMode::SetMode(const wxString& id, const wxString& com)
{  // set mode

  modeEntry=id;
  modeComment=com;
}

void DriMode::Clear(void)
{    // clear everything

  modeEntry=wxEmptyString;
  modeComment=wxEmptyString;
  comment.Clear();
}

const wxArrayString& DriMode::GetComment(void) const
{  // return comment

  return(comment);
}

const wxString& DriMode::GetMode(void) const
{  // return mode

  return(modeEntry);
}

const wxString& DriMode::GetModeComment(void) const
{  // return mode comment

  return(modeComment);
}
