#ifndef DRIMODE_H
#define DRIMODE_H

// **************************************
// Header Files
// **************************************

#include "global.h"
#include "optionlist.h"

// **************************
// Class Definition
// **************************

class DriMode
{
public:
  DriMode(void);   // constructor
  ~DriMode(void);   // destructor
  DriMode(const DriMode &dev); // copy constructor

  DriMode& operator=(const DriMode &dev); // copy constructor

  void AddComment(const wxString& com);  // set comment
  void SetMode(const wxString& id, const wxString& com=wxEmptyString);      // set mode

  const wxString& GetMode(void) const;           // return identifier

  const wxArrayString& GetComment(void) const;          // return comment
  const wxString& GetModeComment(void) const;           // return mode comment

  void Clear(void);          // clear everything

private:
  wxString modeEntry;
  wxString modeComment;
  wxArrayString comment;
};

#endif // DRIMODE_H
