#ifndef DRIVEROPTION_H
#define DRIVEROPTION_H

// **************************************
// Header Files
// **************************************

#include "global.h"
#include "option.h"

// **************************
// Class Definition
// **************************

class DriverOption : public Option
{
public:
  DriverOption(void);     // constructor
  ~DriverOption(void);    // destructor
  DriverOption(const DriverOption &dev); // copy constructor

  DriverOption& operator=(const DriverOption &dev); // copy constructor

  const wxString& GetDefault(void) const;         // return default argument
  const wxArrayString& GetArguments(void) const;  // return argument list
  const bool IsStrict(void) const;                // return if strict

  void SetDefault(const wxString& def);    // set default argument
  void AddArgument(const wxString& arg);   // add argument
  void SetStrict(const bool str);          // set strict

  void Clear(void);   // clear all Options and values

private:
  wxString defArg;           // default argument
  bool strict;               // if value is strict
  wxArrayString arguments;   // list of arguments
};

#endif // DRIVEROPTION_H
