
// **************************************
// Header Files
// **************************************

#include "extensionlist.h"

// **************************
// Class Declaration
// **************************

ExtensionList::ExtensionList(void)
{  // constructor
}

ExtensionList::~ExtensionList(void)
{  // destructor
}

ExtensionList::ExtensionList(const ExtensionList &ext)
{  // copy constructor

  comment=ext.GetComment();

  for (int i=0; i<ext.GetOptionSize(); i++)
  {
    AddOption(ext.GetOption(i));
  }

}

ExtensionList& ExtensionList::operator=(const ExtensionList &ext)
{  // copy constructor

  Clear(); // clear all

  comment=ext.GetComment();

  for (int i=0; i<ext.GetOptionSize(); i++)
  {
    AddOption(ext.GetOption(i));
  }

  return(*this);
}

void ExtensionList::AddComment(const wxString& com)
{   // set comment

  comment.Add(com);
}

void ExtensionList::RemoveOption(const int index)
{  // remove option

  if (index>=options.GetSize())
  {
    wxMessageBox(_("Try to access item outside boundaries!"), _T("ExtensionList::RemoveOption"), wxICON_ERROR);
    return;
  }

  options.Remove(index);
}

void ExtensionList::AddOption(const Option &opt)
{  // add option

  options.Add(opt);
}

void ExtensionList::SetOption(const int index, const Option& opt)
{  // set option

  if (index>=options.GetSize())
  {
    wxMessageBox(_("Try to access item outside boundaries!"), _T("ExtensionList::SetOption"), wxICON_ERROR);
    return;
  }

  options[index]=opt;
}

void ExtensionList::Clear(void)
{    // clear everything

  options.Clear();
  comment.Clear();
}

const wxArrayString& ExtensionList::GetComment(void) const
{ // get comment
  return(comment);
}

const Option& ExtensionList::GetOption(const int index) const
{  // get option

  if (index>=options.GetSize())
  {
    wxMessageBox(_("Try to access item outside boundaries!"), _T("ExtensionList::GetOption"), wxICON_ERROR);
  }

  return(options[index]);
}

Option& ExtensionList::GetOption(const int index)
{  // get option

  if (index>=options.GetSize())
  {
    wxMessageBox(_("Try to access item outside boundaries!"), _T("ExtensionList::GetOptionE"), wxICON_ERROR);
  }

  return(options[index]);
}

const int ExtensionList::GetOptionSize(void) const
{  // return size of options

  return(options.GetSize());
}

