#ifndef EXTENSIONLIST_H
#define EXTENSIONLIST_H

// **************************************
// Header Files
// **************************************

#include "global.h"
#include "optionlist.h"

// **************************
// Class Definition
// **************************

class ExtensionList
{
public:
  ExtensionList(void);   // constructor
  ~ExtensionList(void);   // destructor
  ExtensionList(const ExtensionList &ext); // copy constructor

  ExtensionList& operator=(const ExtensionList &ext); // copy constructor

  void AddComment(const wxString& com);    // set comment
  void RemoveOption(const int index);    // remove option
  void AddOption(const Option &opt);              // add option
  void SetOption(const int index, const Option &opt); // set option

  const wxArrayString& GetComment(void) const;    // get comment
  Option& GetOption(const int index);                // get option
  const Option& GetOption(const int index) const;     // get option
  const int GetOptionSize(void) const;                      // return size of options

  void Clear(void);          // clear everything

private:
  OptionList options;       // options
  wxArrayString comment;     // comment

};

#endif // EXTENSIONLIST_H
