#ifndef FILEHANDLER_H
#define FILEHANDLER_H

// **************************************
// Header Files
// **************************************

#include "global.h"
#include "option.h"
#include "settings.h"
#include <wx/textfile.h>

// **************************
// Class Definition
// **************************

class FileHandler
{
public:
  FileHandler(void);
  ~FileHandler(void);

  void LoadSettings(Settings& settings);  // load settings in ~/.xorg-edit
  void SaveSettings(const Settings& settings, const bool start=false);  // save settings to ~/.xorg-edit

  void LoadDrivers(wxArrayString& list, const wxString& filename);   // load driver lists

private:
  const wxString GetNextLine(wxTextFile& file);
  void StripSpaces(wxString& line) const;         // convert tabs to spaces, delete spaces from left and right
  void StripRight(wxString& line, const int num) const;    // delete n right characters

  int lineNr; // line counter

};

#endif // FILEHANDLER_H

