#ifndef INPUTDEVICELIST_H
#define INPUTDEVICELIST_H

// **************************************
// Header Files
// **************************************

#include "global.h"
#include "inputdevice.h"

// **************************
// Class Definition
// **************************

class InputDeviceList
{
public:
  InputDeviceList(void);   // constructor
  ~InputDeviceList(void);   // destructor
  InputDeviceList(const InputDeviceList &dis); // copy constructor

  InputDeviceList& operator=(const InputDeviceList &dis); // copy constructor

  void Remove(const int index);  // remove device
  void Add(const InputDevice& dis);           // add device

  InputDevice& operator[](const int index);     // get device entry
  const InputDevice& operator[](const int index) const;       // get device entry
  const int GetSize(void) const;                 // return size

  void Clear(void);          // clear everything

private:
  InputDevice *dList;       // device list
  int size;   // size
};

#endif // INPUTDEVICELIST_H
