
// **************************************
// Header Files
// **************************************

#include "monitorlist.h"

// **************************
// Class Declaration
// **************************

MonitorList::MonitorList(void)
{  // constructor
  size=0;
  dList=NULL;
}

MonitorList::~MonitorList(void)
{  // destructor
  if (dList) delete [] dList;
  dList=NULL;
}

MonitorList::MonitorList(const MonitorList &dis)
{  // copy constructor

  size=dis.GetSize();
  dList=new Monitor[size];

  for (int i=0; i<size;i++)
  {
    dList[i]=dis[i];
  }
}

MonitorList& MonitorList::operator=(const MonitorList &dis)
{  // copy constructor

  Clear();

  size=dis.GetSize();
  dList=new Monitor[size];

  for (int i=0; i<size;i++)
  {
    dList[i]=dis[i];
  }

  return(*this);
}

void MonitorList::Remove(const int index)
{  // remove a Monitor

  if (index>=size)
  {
    wxMessageBox(_("Try to access item outside boundaries!"), _T("MonitorList::Remove"), wxICON_ERROR);
    return;
  }

  int i;  // loop counter

  if (size>1)
  {
    Monitor *dis=new Monitor[size-1];

    for (i=0; i<index; i++) dis[i]=dList[i];        // copy old entries
    for (i=index+1; i<size; i++) dis[i-1]=dList[i]; // and ignore index

    if (dList) delete [] dList;   // delete old list
    dList=dis;         // set pointer
    dis=NULL;
  }
  else
  {
    if (dList) delete [] dList;   // delete old list
    dList=NULL;         // set pointer
  }

  size--;              // set size
}

void MonitorList::Add(const Monitor& dis)
{  // add an option and value

  Monitor *dL=new Monitor[size+1];

  for (int i=0; i<size; i++) dL[i]=dList[i]; // copy old entries

  dL[size]=dis;   // set las entry

  if (dList) delete [] dList;   // delete old list
  dList=dL;         // set pointer
  dL=NULL;

  size++;
}

void MonitorList::Clear(void)
{    // clear everything

  if (dList) delete [] dList;
  dList=NULL;

  size=0;
}

const Monitor& MonitorList::operator[](const int index) const
{  // get single Monitor

  if (index>=size)
  {
    wxMessageBox(_("Try to access item outside boundaries!"), _T("MonitorList::Get"), wxICON_ERROR);
  }

  return(dList[index]);
}

Monitor& MonitorList::operator[](const int index)
{  // get single device

  if (index>=size)
  {
    wxMessageBox(_("Try to access item outside boundaries!"), _T("MonitorList::operator[]"), wxICON_ERROR);
    return(dList[index]);  // return empty device
  }

  return(dList[index]);
}


const int MonitorList::GetSize(void) const
{  // return size

  return(size);

}
