#ifndef MONITORLIST_H
#define MONITORLIST_H

// **************************************
// Header Files
// **************************************

#include "global.h"
#include "monitor.h"

// **************************
// Class Definition
// **************************

class MonitorList
{
public:
  MonitorList(void);   // constructor
  ~MonitorList(void);   // destructor
  MonitorList(const MonitorList &dis); // copy constructor

  MonitorList& operator=(const MonitorList &dis); // copy constructor

  void Remove(const int index);  // remove device
  void Add(const Monitor& dis);           // add device

  Monitor& operator[](const int index);     // get device entry
  const Monitor& operator[](const int index) const;       // get device entry
  const int GetSize(void) const;                 // return size

  void Clear(void);          // clear everything

private:
  Monitor *dList;       // device list
  int size;   // size
};

#endif // MONITORLIST_H
