
// **************************************
// Header Files
// **************************************

#include "option.h"

// **************************
// Class Declaration
// **************************

Option::Option(void)
{  // constructor
  name=wxEmptyString;
  value=wxEmptyString;
  comment=wxEmptyString;
  active=true;
}

Option::Option(const wxString& opt, const wxString& val, const wxString& com)
{  // constructor

  name=opt;
  value=val;
  comment=com;
  active=true;
}

Option::Option(const Option &opt)
{  // copy constructor

  name=opt.GetName();
  value=opt.GetValue();
  comment=opt.GetComment();
  active=opt.IsActive();
}

Option::~Option(void)
{  // destructor
}

Option& Option::operator=(const Option &opt)
{  // copy constructor

  // clear old entries
  Clear();

  name=opt.GetName();
  value=opt.GetValue();
  comment=opt.GetComment();
  active=opt.IsActive();

  return(*this);
}

void Option::SetName(const wxString& opt)
{ // set an Option

  name=opt;
}

void Option::SetValue(const wxString& val)
{ // set value

  value=val;
}

void Option::SetComment(const wxString& com)
{ // set comment

  comment=com;
}

void Option::SetActive(const bool act)
{ // set active status

  active=act;
}


void Option::Clear(void)
{  // clear all Options and values

  name=wxEmptyString;
  value=wxEmptyString;
  comment=wxEmptyString;
  active=true;
}

const wxString& Option::GetName(void) const
{  // get single Option

  return(name);
}

const wxString& Option::GetValue(void) const
{  // get single Option value

  return(value);
}

const wxString& Option::GetComment(void) const
{  // get comment

  return(comment);
}

const bool Option::IsActive(void) const
{                            // return active status
  return(active);
}
