#ifndef OPTION_H
#define OPTION_H

// **************************************
// Header Files
// **************************************

#include "global.h"

// **************************
// Class Definition
// **************************

class Option
{

friend class DriverOption;

public:
  Option(void);   // constructor
  Option(const wxString& opt, const wxString& val=wxEmptyString, const wxString& com=wxEmptyString);   // constructor
  Option(const Option &opt); // copy constructor
  ~Option(void);   // destructor

  Option& operator=(const Option &opt); // copy constructor

  void SetName(const wxString& opt);  // set an Option and value
  void SetValue(const wxString& val);  // set an Option and value
  void SetComment(const wxString&com); // set comment
  void SetActive(const bool act);   // set active status
  void Clear(void);   // clear all Options and values

  const wxString& GetName(void) const;    // get single Option
  const wxString& GetValue(void) const;     // get single Option value
  const wxString& GetComment(void) const;   // get comment
  const bool IsActive(void) const;                                // return active status

private:
  wxString name;        // Option
  wxString value;        // and its value
  wxString comment;  // comment
  bool active;        // status of Option (active / inactive)
};

#endif // OPTION_H
