#ifndef OPTIONLIST_H
#define OPTIONLIST_H

// **************************************
// Header Files
// **************************************

#include "global.h"
#include "option.h"

// **************************
// Class Definition
// **************************

class OptionList
{
public:
  OptionList(void);   // constructor
  OptionList(const OptionList &dis); // copy constructor
  ~OptionList(void);   // destructor

  OptionList& operator=(const OptionList &dis); // copy constructor

  void Remove(const int index);  // remove Option
  void Add(const Option& dis);           // add Option
  void Add(const wxString& opt, const wxString& val=wxEmptyString, const wxString& com=wxEmptyString);  // add Option

  Option& operator[](const int index);               // get device entry
  const Option& operator[](const int index) const;   // get Option entry
  const int GetSize(void) const;                     // return size

  void Clear(void);          // clear everything

private:
  Option *dList;       // Option list
  int size;   // size
};

#endif // OPTIONLIST_H
