#ifndef SCREENLIST_H
#define SCREENLIST_H

// **************************************
// Header Files
// **************************************

#include "global.h"
#include "screen.h"

// **************************
// Class Definition
// **************************

class ScreenList
{
public:
  ScreenList(void);   // constructor
  ~ScreenList(void);   // destructor
  ScreenList(const ScreenList &dis); // copy constructor

  ScreenList& operator=(const ScreenList &dis); // copy constructor

  void Remove(const int index);  // remove device
  void Add(const Screen& dis);           // add device

  Screen& operator[](const int index);     // get device entry
  const Screen& operator[](const int index) const;       // get device entry
  const int GetSize(void) const;                 // return size

  void Clear(void);          // clear everything

private:
  Screen *dList;       // device list
  int size;   // size
};

#endif // SCREENLIST_H
