
// **************************************
// Header Files
// **************************************

#include "serverflaglist.h"

// **************************
// Class Declaration
// **************************

ServerFlagList::ServerFlagList(void)
{  // constructor
}

ServerFlagList::~ServerFlagList(void)
{  // destructor
}

ServerFlagList::ServerFlagList(const ServerFlagList &ser)
{  // copy constructor

  comment=ser.GetComment();

  for (int i=0; i<ser.GetOptionSize(); i++)
  {
    AddOption(ser.GetOption(i));
  }

}

ServerFlagList& ServerFlagList::operator=(const ServerFlagList &ser)
{  // copy constructor

  Clear(); // clear all

  comment=ser.GetComment();

  for (int i=0; i<ser.GetOptionSize(); i++)
  {
    AddOption(ser.GetOption(i));
  }

  return(*this);
}

void ServerFlagList::RemoveOption(const int index)
{  // remove option

  if (index>=options.GetSize())
  {
    wxMessageBox(_("Try to access item outside boundaries!"), _T("ServerFlagList::RemoveOption"), wxICON_ERROR);
    return;
  }

  options.Remove(index);
}

void ServerFlagList::AddOption(const Option &opt)
{  // add option

  options.Add(opt);
}

void ServerFlagList::SetOption(const int index, const Option& opt)
{  // set option

  if (index>=options.GetSize())
  {
    wxMessageBox(_("Try to access item outside boundaries!"), _T("ServerFlagList::SetOption"), wxICON_ERROR);
    return;
  }

  options[index]=opt;
}

void ServerFlagList::Clear(void)
{    // clear everything

  options.Clear();
  comment.Clear();
}

const Option& ServerFlagList::GetOption(const int index) const
{  // get option

  if (index>=options.GetSize())
  {
    wxMessageBox(_("Try to access item outside boundaries!"), _T("ServerFlagList::GetOption"), wxICON_ERROR);
  }

  return(options[index]);
}

Option& ServerFlagList::GetOption(const int index)
{  // get option

  if (index>=options.GetSize())
  {
    wxMessageBox(_("Try to access item outside boundaries!"), _T("ServerFlagList::GetOptionE"), wxICON_ERROR);
  }

  return(options[index]);
}

const int ServerFlagList::GetOptionSize(void) const
{  // return size of options

  return(options.GetSize());
}

void ServerFlagList::AddComment(const wxString& com)
{      // set comment
  comment.Add(com);
}

const wxArrayString& ServerFlagList::GetComment(void) const
{         // get comment
  return(comment);
}

