#ifndef SERVERFLAGLIST_H
#define SERVERFLAGLIST_H

// **************************************
// Header Files
// **************************************

#include "global.h"
#include "optionlist.h"

// **************************
// Class Definition
// **************************

class ServerFlagList
{
public:
  ServerFlagList(void);   // constructor
  ~ServerFlagList(void);   // destructor
  ServerFlagList(const ServerFlagList &ser); // copy constructor

  ServerFlagList& operator=(const ServerFlagList &ser); // copy constructor

  void RemoveOption(const int index);    // remove option
  void AddOption(const Option &opt);              // add option
  void SetOption(const int index, const Option &opt); // set option

  Option& GetOption(const int index);                // get option
  const Option& GetOption(const int index) const;     // get option
  const int GetOptionSize(void) const;                      // return size of options

  void AddComment(const wxString& com);      // set comment
  const wxArrayString& GetComment(void) const;         // get comment

  void Clear(void);          // clear everything

private:
  wxArrayString comment;     // comment
  OptionList options;       // options

};

#endif // SERVERFLAGLIST_H
