#ifndef SERVERLAYOUTLIST_H
#define SERVERLAYOUTLIST_H

// **************************************
// Header Files
// **************************************

#include "global.h"
#include "serverlayout.h"

// **************************
// Class Definition
// **************************

class ServerLayoutList
{
public:
  ServerLayoutList(void);   // constructor
  ~ServerLayoutList(void);   // destructor
  ServerLayoutList(const ServerLayoutList &dis); // copy constructor

  ServerLayoutList& operator=(const ServerLayoutList &dis); // copy constructor

  void Remove(const int index);  // remove ServerLayout
  void Add(const ServerLayout& dis);           // add ServerLayout

  ServerLayout& operator[](const int index);     // get device entry
  const ServerLayout& operator[](const int index) const;       // get ServerLayout entry
  const int GetSize(void) const;                 // return size

  void Clear(void);          // clear everything

private:
  ServerLayout *dList;       // ServerLayout list
  int size;   // size
};

#endif // SERVERLAYOUTLIST_H
