// **************************************
// Header Files
// **************************************

#include "settings.h"

// **************************
// Class Declaration
// **************************

Settings::Settings(void)
{
  language=wxLANGUAGE_DEFAULT;
}

Settings::~Settings(void)
{
  language=wxLANGUAGE_DEFAULT;
}

Settings::Settings(const Settings& set)
{
  language=set.GetLanguage();
  progDir=set.GetProgDir();
  optionDir=set.GetOptionDir();
  curDir=set.GetCurrentDir();
  curFile=set.GetCurrentFilename();
  setFile=set.GetFilename();
  loadLastFile=set.GetLoadLastFile();
  saveSettings=set.GetSaveSettings();
  showSplash=set.GetShowSplash();
  showBlank=set.GetShowBlank();
  remTest=set.GetRememberTest();
}

Settings& Settings::operator=(const Settings& set)
{
  language=set.GetLanguage();
  progDir=set.GetProgDir();
  optionDir=set.GetOptionDir();
  curDir=set.GetCurrentDir();
  curFile=set.GetCurrentFilename();
  setFile=set.GetFilename();
  loadLastFile=set.GetLoadLastFile();
  saveSettings=set.GetSaveSettings();
  showSplash=set.GetShowSplash();
  showBlank=set.GetShowBlank();
  remTest=set.GetRememberTest();
  return(*this);
}

const wxString& Settings::GetProgDir(void) const
{
  return(progDir);
}

const wxString& Settings::GetOptionDir(void) const
{
  return(optionDir);
}

const wxString& Settings::GetCurrentDir(void) const
{
  return(curDir);
}

const wxString& Settings::GetCurrentFilename(void) const
{
  return(curFile);
}

const wxString& Settings::GetFilename(void) const
{
  return(setFile);
}

const wxString Settings::GetCurrentFile(void) const
{
  return(curDir+_T("/")+curFile);
}

const bool Settings::GetLoadLastFile(void) const
{
  return(loadLastFile);
}

const bool Settings::GetSaveSettings(void) const
{
  return(saveSettings);
}

const bool Settings::GetShowSplash(void) const
{
  return(showSplash);
}

const bool Settings::GetShowBlank(void) const
{
  return(showBlank);
}

const bool Settings::GetRememberTest(void) const
{
  return(remTest);
}

const long Settings::GetLanguage(void) const
{
  return(language);
}

void Settings::SetProgDir(const wxString& value)
{
  progDir=value;
}

void Settings::SetOptionDir(const wxString& value)
{
  optionDir=value;
}

void Settings::SetCurrentDir(const wxString& value)
{
  curDir=value;
}

void Settings::SetCurrentFilename(const wxString& value)
{
  curFile=value;
}

void Settings::SetFilename(const wxString& value)
{
  setFile=value;
}

void Settings::SetLoadLastFile(const bool value)
{
  loadLastFile=value;
}

void Settings::SetSaveSettings(const bool value)
{
  saveSettings=value;
}

void Settings::SetShowSplash(const bool value)
{
  showSplash=value;
}

void Settings::SetShowBlank(const bool value)
{
  showBlank=value;
}

void Settings::SetRememberTest(const bool value)
{
  remTest=value;
}

void Settings::SetLanguage(const long lang)
{
  language=lang;
}


