
// **************************************
// Header Files
// **************************************

#include "textframe.h"

// **************************************
// Event Tables and other Macros
// **************************************

// **************************
// Class Declaration
// **************************

TextFrame::TextFrame(wxWindow* parent, const wxString& title, const wxString& content) : wxDialog(parent, -1, title)
{
  wxBoxSizer *gridSizer = new wxBoxSizer(wxVERTICAL);

  textField=new wxTextCtrl(this, -1, content, wxDefaultPosition, wxSize(600,400), wxTE_MULTILINE | wxTE_READONLY | wxTE_DONTWRAP );
  wxButton *butOK=new wxButton(this, wxID_OK, _T("OK"));

  gridSizer->Add(textField, 0, wxALL | wxALIGN_CENTER_HORIZONTAL, 3);            // add notebook layout
  gridSizer->Add(butOK, 0, wxALL | wxALIGN_CENTER_HORIZONTAL, 3);
  SetSizerAndFit(gridSizer);         // sets the sizer

}

TextFrame::~TextFrame()  // destructor
{}

void TextFrame::AppendText(const wxString& text)
{  // appends text to the control

  textField->AppendText(text);
}

void TextFrame::AddLine(const wxString& text)
{  // appends text to the control and breaks the line

  textField->AppendText(text);
  textField->AppendText(_T("\n"));
}

