
// **************************************
// Header Files
// **************************************

#include "xorgapp.h"
#include "guiframe.h"

// **************************
// Class Definition
// **************************

XorgApp::~XorgApp(void)
{ // destructor

  if (appLocale) delete appLocale;
  appLocale=NULL;
}

bool XorgApp::OnInit(void)   // init application
{
  // get application directory
  appDir=this->argv[0];
  appDir=appDir.Left(appDir.Len()-GetAppName().Len()-1);

  appLocale=NULL;
  SetLanguage();

  // guiFrame* frame = new guiFrame(wxEmptyString, appLocale);
  GuiFrame* frame = new GuiFrame(wxEmptyString);
  frame->Show();
  frame->ShowWarning();
  return(true);
};

void XorgApp::SetLanguage(const int lang)
{  // set language

  if (appLocale) delete appLocale;
  appLocale=new wxLocale();

  appLocale->Init(lang);
  appLocale->AddCatalogLookupPathPrefix(appDir+_T("/."));
  appLocale->AddCatalogLookupPathPrefix(appDir+_T("/.."));
  appLocale->AddCatalog(wxT("xorg-edit") );
}

const int XorgApp::GetLanguage(void) const
{  // get language

  return(appLocale->GetLanguage());
}

IMPLEMENT_APP(XorgApp);

